Skip to main content
GET
/
audience
/
properties
List audience properties
curl --request GET \
  --url https://app.lettr.com/api/audience/properties \
  --header 'Authorization: Bearer <token>'
{
  "message": "Properties retrieved successfully.",
  "data": {
    "properties": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "first_name",
        "type": "string",
        "fallback_value": "Friend",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "total": 42,
      "per_page": 20,
      "current_page": 1,
      "last_page": 3
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lettr.com/llms.txt

Use this file to discover all available pages before exploring further.

List the team’s custom contact properties. Requires the audience:read scope.

Authorizations

Authorization
string
header
required

API key for authentication

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:20

Items per page (max 100)

Required range: 1 <= x <= 100

Response

Properties retrieved successfully.

message
string
required
Example:

"Properties retrieved successfully."

data
object
required